Class | DepartmentMember
In: | app/models/department_member.rb
Parent: | User

Clase para los usuarios de tipo "Miembro de departamento". Es subclase de User, por lo que su tabla es `users`

### Methods

can_access? can_create? can_edit? empty_unnecessary_fields

### Public Instance methods

can_access?(doc_type)

Indica si tiene permiso para acceder a la administración de los recursos de tipo `doc_type`. Ejemplos:

- current_user.can_access?("news")
- current_user.can_access?("photos")

[Source]

        # File app/models/department_member.rb, line 17
    17:   def can_access?(doc_type)
    18:     ["events"].include?(doc_type)
    19:   end

can_create?(doc_type)

[Source]

        # File app/models/department_member.rb, line 28
    28:   def can_create?(doc_type)
    29:     case doc_type
    30:     when 'schedule_events'
    31:       !self.editable_schedules.blank?
    32:     when 'events'
    33:       self.can?('create_private', 'events') || self.can?('create_irekia', 'events') || self.can?('create_agencia', 'events')
    34:     else
    35:       false
    36:     end
    37:   end

can_edit?(doc_type)

Indica si puede modificar recursos de tipo `doc_type`. Los miembros de los departamentos no pueden modificar ni crear recursos compartidos. Sólo tendrán acceso a la agenda privada de su departamento.

[Source]

        # File app/models/department_member.rb, line 24
    24:   def can_edit?(doc_type)
    25:     can_create?(doc_type)
    26:   end

empty_unnecessary_fields()

Vacia los campos irrelevantes para este tipo de usuario. Se llama desde before_save

[Source]

        # File app/models/department_member.rb, line 9
     9:   def empty_unnecessary_fields
    10:     self.media = nil
    11:   end

[Validate]